Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.texteditor
Class StatusLineContributionItem

    java.lang.Object
      org.eclipse.jface.action.ContributionItem
          org.eclipse.ui.texteditor.StatusLineContributionItem

All Implemented Interfaces:
  IContributionItem, IStatusField, IStatusFieldExtension

public class StatusLineContributionItem
extends ContributionItem
implements IStatusField, IStatusFieldExtension

Contribution item for the status line.

Since:
  2.0

Constructor Summary
`StatusLineContributionItem(String id)` Creates a new item with the given id.
`StatusLineContributionItem(String id, boolean visible, int widthInChars)` Creates a new item with the given attributes.

Method Summary
`void` | `fill(Composite parent)` The default implementation of this `IContributionItem` method does nothing.
`void` | `setActionHandler(IAction actionHandler)`
`void` | `setErrorImage(Image image)` Sets the error image of this status field.
`void` | `setErrorText(String text)` Sets the text of this status field.
`void` | `setImage(Image image)` Sets the image of this status field.
`void` | `setText(String text)` Sets the text of this status field.
`void` | `setToolTipText(String string)` Sets tool tip text for this status field.

Methods inherited from class org.eclipse.jface.action.ContributionItem
`dispose, fill, fill, fill, getId, getParent, isDirty, isDynamic, isEnabled, isGroupMarker, isSeparator, isVisible, saveWidgetState, setParent, setVisible, toString, update, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.texteditor.IStatusFieldExtension
`setVisible`

Constructor Detail

### StatusLineContributionItem

    public StatusLineContributionItem(String id)

  Creates a new item with the given id.

Parameters:
  `id` - the item's id

### StatusLineContributionItem

    public StatusLineContributionItem(String id,
                                      boolean visible,
                                      int widthInChars)

  Creates a new item with the given attributes.

Parameters:
  `id` - the item's id
  `visible` - the visibility of this item
  `widthInChars` - the width in characters
Since:
  3.0

Method Detail

### setText

    public void setText(String text)

  Description copied from interface: `IStatusField`
  Sets the text of this status field.

  Specified by:
    `setText` in interface `IStatusField`
  Parameters:
    `text` - the text shown in the status field

### setImage

    public void setImage(Image image)

  Description copied from interface: `IStatusField`
  Sets the image of this status field.

  Specified by:
    `setImage` in interface `IStatusField`
  Parameters:
    `image` - the image shown in the status field

### setErrorText

    public void setErrorText(String text)

  Description copied from interface: `IStatusFieldExtension`
  Sets the text of this status field.

  The error text overrides the current text until the error text is cleared (set to `null`).

  Specified by:
    `setErrorText` in interface `IStatusFieldExtension`
  Parameters:
    `text` - the error text shown in the status field or `null` to clear
  See Also:
    `IStatusField.setText(String)`

### setErrorImage

    public void setErrorImage(Image image)

  Description copied from interface: `IStatusFieldExtension`
  Sets the error image of this status field.

  The error image overrides the current image until the error image is cleared (set to `null`).

  Specified by:
    `setErrorImage` in interface `IStatusFieldExtension`
  Parameters:
    `image` - the error image shown in the status field or `null` to clear
  See Also:
    `IStatusField.setImage(Image)`

### setToolTipText

    public void setToolTipText(String string)

  Description copied from interface: `IStatusFieldExtension`
  Sets tool tip text for this status field.

  Specified by:
    `setToolTipText` in interface `IStatusFieldExtension`
  Parameters:
    `string` - the new tool tip text or `null` to clear

### fill

    public void fill(Composite parent)

  Description copied from class: `ContributionItem`
  The default implementation of this `IContributionItem` method does nothing. Subclasses may override.

  Specified by:
    `fill` in interface `IContributionItem`
  Overrides:
    `fill` in class `ContributionItem`

### setActionHandler

    public void setActionHandler(IAction actionHandler)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.